Bug 2299 - better logrotate file for redhat fedora
better logrotate file for redhat fedora
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: Config Files
3.0.10
All Linux
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-02 13:56 UTC by Levente Farkas
Modified: 2005-08-24 10:21 UTC (History)
0 users

See Also:


Attachments
logfile patches (3.40 KB, patch)
2005-02-03 03:38 UTC, Levente Farkas
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Levente Farkas 2005-02-02 13:56:38 UTC
the current packaging/RedHat/samba.log and packaging/Fedora/samba.log has two
problems:
- it's not rotate smbd.log which is in the shipped default/example smb.conf file
- it's not working (ie gives error) if samba not running.
anyway your log file nameing convension is not too useful, since you use log.xxx
(like log.%m in example smb.conf file). because you cant use log.* (since there
is log.smbd.1 etc) eg: in logrotate conf file. if you use *.log format
everywhere (smbd.log, nmbd.log and %m.log) as redhat do it, then the *.log is a
good pattern for all the current logfiles. anyway here is a better logroate file
for the current setup:
------------------------------------
/var/log/samba/*.log /var/log/samba/log.smbd /var/log/samba/log.nmbd {
    notifempty
    missingok
    sharedscripts
    copytruncate
    postrotate
        /bin/kill -HUP `cat /var/run/smbd.pid /var/run/nmbd.pid
/var/run/winbindd.pid 2> /dev/null` 2> /dev/null || true
    endscript
}
------------------------------------
Comment 1 Gerald (Jerry) Carter 2005-02-02 21:39:32 UTC
Thanks.  I took the logrotate advice and change the example 
log file to %m.log.

Checked in to svn and will be in the for 3.0.11 release.
Comment 2 Levente Farkas 2005-02-03 03:37:29 UTC
i see your changes, but if you do so then i kindly ask you to apply redhat's
patch to which enforce the common *.log format for all kind of logging (for the
same reason i describe bellow).
Comment 3 Levente Farkas 2005-02-03 03:38:27 UTC
Created attachment 941 [details]
logfile patches

some of these patch you already apply, but you will see the goal.
Comment 4 Levente Farkas 2005-02-03 04:07:28 UTC
anyway imho sometimes would be useful to review the latest redhat/fedora rpm's
additional patch files. may be some of the redhat/fedora specific but most many
of them can be useful. currently more then a dozen in it and some of them are
bugfix (eg: samba-3.0.9-changetrustpw.patch) i don't know whether these are
already applied or not:
http://download.fedora.redhat.com/pub/fedora/linux/core/development/SRPMS/samba-3.0.10-4.src.rpm
just my 2c.
Comment 5 Gerald (Jerry) Carter 2005-02-03 05:55:37 UTC
No.  I'm not going to change the default log file names.
Myphilosophy with Samba packages is that they are the 
pristine sourece and this change would break too many other 
platforms and documentation.

Also, I talk to Jay Fenalson @ redhat fairly regularly 
and we incorporate as many of their patches that make 
sense.  The changetrustpw patch was fixed in our source 
code a noth or so ago and will be in 3.0.11.
Comment 6 Gerald (Jerry) Carter 2005-02-07 07:36:50 UTC
originally reported against 3.0.11pre1.  Moving back to version to 3.0.10 
to remove preX and rcX versions.
Comment 7 Gerald (Jerry) Carter 2005-08-24 10:21:53 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.